> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Project user data

> Get User Data in the project. These scripts can be used to configure servers with user data.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /projects/{project_id}/user_data/{user_data_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects/{project_id}/user_data/{user_data_id}:
    get:
      tags:
        - User data
      summary: Retrieve Project user data
      description: >
        Get User Data in the project. These scripts can be used to configure
        servers with user data.
      operationId: get-project-user-data
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID or Slug
          examples:
            Success:
              value: proj_e8pKq0GYdWAob
          schema:
            type: string
        - name: user_data_id
          in: path
          required: true
          examples:
            Success:
              value: ud_VLMmAD8EOwop2
          schema:
            type: string
        - name: extra_fields[user_data]
          in: query
          schema:
            type: string
            default: decoded_content
          description: >-
            The `decoded_content` is provided as an extra attribute that shows
            content in decoded form.
          examples:
            Success:
              value: decoded_content
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: ud_VLMmAD8EOwop2
                      type: user_data
                      attributes:
                        description: >-
                          Three egg omelet with Roquefort cheese, chives, and
                          ham. With a side of roasted potatoes, and your choice
                          of toast or croissant.
                        content: >-
                          Q3JlYW15IG1hc2NhcnBvbmUgY2hlZXNlIGFuZCBjdXN0YXJkIGxheWVyZWQgYmV0d2VlbiBlc3ByZXNzbyBhbmQgcnVtIHNvYWtlZCBob3VzZS1tYWRlIGxhZHlmaW5nZXJzLCB0b3BwZWQgd2l0aCBWYWxyaG9uYSBjb2NvYSBwb3dkZXIu
                        created_at: '2026-01-14T15:56:43+00:00'
                        updated_at: '2026-01-14T15:56:43+00:00'
                        decoded_content: >-
                          Creamy mascarpone cheese and custard layered between
                          espresso and rum soaked house-made ladyfingers, topped
                          with Valrhona cocoa powder.
                        project:
                          id: proj_e8pKq0GYdWAob
                          name: Enormous Silk Car
                          slug: enormous-silk-car
                          description: Aerodynamic Granite Bag
                          provisioning_type: on_demand
                          billing_type: Normal
                          billing_method: Normal
                          bandwidth_alert: false
                          environment: null
                          billing: {}
                          stats:
                            databases: 0
                            ip_addresses: 0
                            prefixes: 0
                            servers: 0
                            storages: 0
                            virtual_machines: 0
                            vlans: 0
                    meta: {}
              schema:
                $ref: '#/components/schemas/user_data_object'
      deprecated: true
      security:
        - Bearer: []
components:
  schemas:
    user_data_object:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/user_data_properties'
        meta:
          type: object
    user_data_properties:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - user_data
        attributes:
          type: object
          properties:
            description:
              type: string
              description: description of the User Data
            content:
              type: string
              description: content of the User Data
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````